Configurator (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface Configurator

All Known Implementing Classes:
  DefaultLF5Configurator, DOMConfigurator, PropertyConfigurator, ReloadingPropertyConfigurator

    public interface Configurator

Implemented by classes capable of configuring log4j using a URL.

Since:
  1.0
Author:
  Anders Kristensen

Field Summary
`static String` | `INHERITED` Special level value signifying inherited behaviour.
`static String` | `NULL` Special level signifying inherited behaviour, same as `INHERITED`.

Method Summary
`void` | `doConfigure(InputStream inputStream, LoggerRepository repository)` Interpret a resource pointed by a InputStream and set up log4j accordingly.
`void` | `doConfigure(URL url, LoggerRepository repository)` Interpret a resource pointed by a URL and set up log4j accordingly.

Field Detail

### INHERITED

    static final String INHERITED

  Special level value signifying inherited behaviour. The current value of this string constant is inherited. `NULL` is a synonym.

  See Also:
    Constant Field Values

### NULL

    static final String NULL

  Special level signifying inherited behaviour, same as `INHERITED`. The current value of this string constant is null.

  See Also:
    Constant Field Values

Method Detail

### doConfigure

    void doConfigure(InputStream inputStream,
                     LoggerRepository repository)

  Interpret a resource pointed by a InputStream and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.

  Parameters:
    `inputStream` - The InputStream to parse
    `repository` - The hierarchy to operation upon.
  Since:
    1.2.17

### doConfigure

    void doConfigure(URL url,
                     LoggerRepository repository)

  Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.

  Parameters:
    `url` - The URL to parse
    `repository` - The hierarchy to operation upon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.